### Constructor

# Rest OAuth2Proxy new

#### Declaration [src]

    RestOAuth2Proxy*
    rest_oauth2_proxy_new (
      const gchar* authurl,
      const gchar* tokenurl,
      const gchar* redirecturl,
      const gchar* client_id,
      const gchar* client_secret,
      const gchar* baseurl
    )

#### Description [src]

Create a new `RestOAuth2Proxy`.

#### Parameters

`authurl`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`tokenurl`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`redirecturl`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`client_id`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`client_secret`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`baseurl`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RestOAuth2Proxy`

A newly created `RestOAuth2Proxy`.

The caller of the function takes ownership of the data, and is responsible for freeing it.